This is a replication package for research on *quantum-specific SATDs (QSATDs)*.
It consists of three directories.

- `src/`: Contains source code for collecting data from GitHub, detecting Python file comments, and detecting SATD from them.
  - `0-data-scraping.py`: Collects a list of projects that depend on Qiskit from GitHub.
  - `1-clone-repositories.py`: Clones and saves the available projects from the list collected by the above program. The execution results are saved in the `/src` subdirectory.
  - `2-get-satd.py`: Detects SATD comments in Python programs for each project cloned by the above program. The execution results are saved in a subdirectory of `/src`.
  - `env.yml`: Describes the conda environment for recreating the program execution environment by conda.
  - `README.md`: Describes the procedure of the replication.

- `RQs_result/`: The results of manual coding to answer each RQ of this study are recorded as Excel files.
  - `RQ1.xlsx`: This is a manual classification of SATD comments detected by keywords into (1) whether they are actually SATD, and (2) if they are SATD, whether they are QSATD or Non-QSATD.
  - `RQ2.xlsx`: Each of the QSATD comments was manually classified into a category newly created for this study.
  - `RQ3.xlsx`: Each of the Non-QSATD comments was manually classified into a category used in existing research on Java.

- `data/`: Archive of data that we have actually analyzed.
  - `analyzed_packages.tsv`: A list of the projects we analyzed.
  - `analyzed_satd/`: A directory containing the SATD comments we have obtained.
    - `satd.csv`: Comments that are candidates for SATD obtained by `2-get-satd.py`.
    - `satd_unique.csv`: Comments from the above, with duplicates removed.
    - `satd_unique.csv`: Comments from the above, with duplicates removed and randomly reordered.