import pandas as pd
import os
import subprocess

# Shallow Clone the target repository
def shallow_clone_repositories(type: str):
    df = pd.read_csv(f"./scraping_result/{type}.csv", index_col=0)
    repositories = df[type].to_list()

    cnt_clone = 0
    for repository in repositories:
        # If the repository name is incorrect, continue
        if len(repository.split("/")) < 2:
            print(f"Invalid repository name: {repository}")
            exit()
            continue
        # Skip if it has already been cloned.
        if os.path.exists(f"./dependents/{type}/{repository.split('/')[1]}"):
            print(f"{type}: {repository} already exists!")
            continue

        url = f"https://github.com/{repository}"
        command = f"git clone --depth=1 {url}"
        subprocess.run(command.split(), cwd=f"./dependents/{type}")
        cnt_clone += 1
    print(f"{cnt_clone} repositories cloned.")

def main():
    # Prepare the destination to save the data.
    if not os.path.exists("./dependents"):
            os.makedirs("./dependents")
    # if not os.path.exists("./dependents/repositories"):
    #         os.makedirs("./dependents/repositories")
    if not os.path.exists("./dependents/packages"):
            os.makedirs("./dependents/packages")
    
    shallow_clone_repositories(type="packages")
    # shallow_clone_repositories(type="repositories")


if __name__ == "__main__":
    main()